Subject: Re: What's cooking in git.git (Jan 2021, #02; Fri, 8)

From: Emily Shaffer <[email-masked]>
Date: Thu, 14 Jan 2021 15:56:23 -0800

On Thu, Jan 14, 2021 at 03:52:42PM -0800, Emily Shaffer wrote:
> Fourthly: The perfect solution, as has been mentioned, is to stop using
> user.name/user.email in commits and start using some generic ID instead.

Another throwaway thought:

Taking the time to redesign commit format (e.g. use user.id instead of
user.name/user.email) also gives us room to improve other things we
don't like about the commit format (e.g. limited to single author). How
many things-we-don't-like do we need to collect before we have enough
inertia to go through the long/painful process of starting to use a new
commit format?